package cn.iocoder.yudao.module.pms.controller.admin.yfclass.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Data
public class IotYfCasCaderVo implements Serializable {
    private static final long serialVersionUID = 1L;
    private String label;
    private String value;
    private List<IotYfCasCaderVo> children;

    public IotYfCasCaderVo(String value, String label) {
        this.value = value;
        this.label = label;
        this.children = new ArrayList<>();
    }
    public void addChild(IotYfCasCaderVo child) {
        this.children.add(child);
    }
}
